package cn.estsh.i3plus.pojo.sweb.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description : 库存需求报警
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-09-17
 * @Modify:
 **/
@Data
@Table(name = "SWEB_REQUIRE_ALARM")
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("库存需求报警")
public class SwebRequireAlarm extends BaseBean {

    @Column(name = "PART_NO")
    @ApiParam("物料代码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商代码")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "START_QTY")
    @ApiParam("开班库存")
    private Double startQty;

    @Column(name = "ALARM_LEVEL")
    @ApiParam("报警级别")
    private String alarmLevel;

    @Column(name = "REASON")
    @ApiParam("原因分析")
    private String reason;

    @Column(name = "TRACK_REMARK")
    @ApiParam("跟踪情况")
    private String trackRemark;

    @Column(name = "COUNT_DATE")
    @ApiParam("日期")
    private String countDate;

    @Column(name = "REQUEST_QTY")
    @ApiParam("需求数量")
    private String requestQty;

    @Transient
    @ApiParam("日期")
    private String dateStart;

    @Transient
    @ApiParam("日期")
    private String dateEnd;
}
