package cn.estsh.i3plus.pojo.sweb.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description : 供应商供货能力
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-09-16
 * @Modify:
 **/
@Data
@Table(name = "SWEB_VENDOR_SUPPLIER_CAPCITY")
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("供应商供货能力")
public class SwebVendorSupplierCapcity extends BaseBean {
    private static final long serialVersionUID = 2327910806789997252L;

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商代码")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "CURRENT_QTY")
    @ApiParam("当前库存")
    private Double currentQty;

    @Column(name = "PLAN_PRODUCT_QTY")
    @ApiParam("计划生产或到货")
    private Double planProductQty;

    @Column(name = "PLAN_REQUEST_QTY")
    @ApiParam("计划需求数量")
    private Double planRequestQty;

    @Column(name = "END_QTY")
    @ApiParam("期末库存")
    private Double endQty;

    @Column(name = "IS_DANGER")
    @ApiParam("是否存在风险")
    private Integer isDanger;

    @Column(name = "DANGER_SPEC")
    @ApiParam("风险描述")
    private String dangerSpec;

    @Column(name = "STATUS")
    @ApiParam("状态")
    private String status;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;

    @Column(name = "TRACK_DATE")
    @ApiParam("日期")
    private String trackDate;

    @Transient
    @ApiParam("日期")
    private String dateStart;

    @Transient
    @ApiParam("日期")
    private String dateEnd;
}
