package cn.estsh.i3plus.pojo.sweb.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.sweb.bean.SwebPurchaseOrder;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Description : 订单批量新增输入模型
 * @Reference :
 * @Author : jack.lv
 * @CreateDate : 2019-04-20 13:13
 * @Modify:
 **/
@Data
public class SwebPOBatchInsertEnterModel extends BaseBean {

    private static final long serialVersionUID = -7184098625336146560L;
    @ApiParam("单据号")
    private String orderNo;

    @ApiParam("供应商编号")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam(value = "订单类型", example = "10")
    private Integer orderType;

    @ApiParam(value = "库存地")
    private String erpWarehouse;

    @ApiParam(value = "合同号")
    private String refNo;

    @ApiParam(value = "是否导入使用")
    private boolean isImport;

    @ApiParam(value = "订单主表对应日期缓存")
    private Map<String,SwebPurchaseOrder> dayOrderCache;

    @ApiParam(value = "零件列表")
    private List<SwebPOBatchInsertItemEnterModel> partItems;
}
