package cn.estsh.i3plus.pojo.sweb.modelbean;

import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.ColumnDefault;

import java.io.Serializable;

/**
 * @Description : 订单批量新增零件输入模型
 * @Reference :
 * @Author : jack.lv
 * @CreateDate : 2019-04-20 13:13
 * @Modify:
 **/
@Data
public class SwebPOBatchInsertItemEnterModel implements Serializable {

    private static final long serialVersionUID = 4003058741886494009L;
    @ApiParam(value = "零件号")
    private String partNo;

    @ApiParam(value = "零件名称")
    private String partName;

    @ApiParam("供应商编号")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam(value = "订单类型", example = "10")
    private Integer orderType = 0;

    @ApiParam(value = "行项目状态", example = "1")
    private Integer itemStatus;

    @ApiParam(value = "箱数", example = "0")
    private Integer boxQty = 0;

    @ApiParam(value = "默认包装规格", example = "0")
    private Double snpQty = 0d;

    @ApiParam(value = "打印数", example = "0")
    private Double printQty = 0d;

    @ApiParam(value = "收货数量", example = "0")
    private Double recQty = 0d;

    @ApiParam(value = "已收箱数", example = "0")
    private Double recBoxQty = 0d;

    @ApiParam(value = "上传数量", example = "0")
    private Double uploadQty = 0d;

    @ApiParam("库存地")
    private String erpWarehouse;

    @ApiParam(value = "订单数量", example = "0")
    private Double refQty = 0d;

    @ColumnDefault("0")
    @ApiParam(value = "需求数", example = "0")
    private Double orderQty = 0d;

    @ApiParam(value = "发运数量", example = "0")
    private Double shipQty = 0d;

    @ApiParam(value = "打印时间")
    private String printTime;

    @ApiParam("打印用户code")
    private String printUserCode;

    @ApiParam("是否为钢卷料")
    private Integer isSteel;

    @ApiParam(value = "预计到货日期")
    private String expectedTime;

    @ApiParam("备注")
    private String remark;

    @ApiParam(value = "入库数量", example = "0")
    private Double instockQty = 0d;

    @ApiParam(value = "入库箱数", example = "0")
    private Double instockBoxQty = 0d;

    @ApiParam(value = "不良数", example = "0")
    private Double ncQty = 0d;

    @ApiParam(value = "不良箱数", example = "0")
    private Double ncBoxQty = 0d;

    @ApiParam(value = "行号", example = "0")
    private Integer itemNo;

    @ApiParam(value = "确认时间")
    private String confirmTime;

    @ApiParam(value = "交货时间")
    private String deliveryTime;

    @ApiParam(value = "单位")
    private String unit;
}
